 // Audit.cpp: implementation of the CAudit class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "DemoApp.h"
#include "Audit.h"

#define AUDIT_FILE "audits.txt"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CAudit::CAudit()
{

	iSerialNumber = 0;
	iCityCode = 0;
	iNycLocation = 0;
	iRejectedCoins = 0;
	iLogError = 0;
	iCurrentError = 0;
	iScale = 0;
	iAuditRegister = 0;
	iAuditAmount = 0;
	
}

BOOL CAudit::FormatAudit(char *c_pFormat)
{
	if(!c_pFormat) return(FALSE);
	sprintf(c_pFormat,"%6d\t%d\t%d\t%d\t%d\t%d\t%d.%d\r\n",iSerialNumber,iAuditAmount,iCityCode,
											iRejectedCoins,iLogError,iCurrentError,d.quot,d.rem);



	return(TRUE);
}

BOOL CAudit::Save()
{
	CFile File;
	char buffer[256];
	CString csMsg;
	
	if(!File.Open(_T(AUDIT_FILE),CFile::modeWrite)) {
		if(!File.Open(_T(AUDIT_FILE),CFile::modeWrite | CFile::modeCreate)) {
			csMsg.Format(_T("Couldn't open %s"),AUDIT_FILE);
			AfxMessageBox(csMsg);
			return(FALSE);
		} else {
			// new file
			FormatTemplate(&buffer[0]);
			File.Write(buffer,strlen(buffer));
		}
	}

	File.SeekToEnd();

	FormatAudit(&buffer[0]);
	File.Write(buffer,strlen(buffer));
	File.Close();

	return(TRUE);
}
BOOL CAudit::FormatTemplate(char *c_pFormat)
{

	if(!c_pFormat) return(FALSE);
	sprintf(c_pFormat,"Serial\tAuditAmount\tCityCode\tRejectedCoins\tLogError\tCurrentError\tBatteryLevel\r\n");
	return(TRUE);
}

CAudit::~CAudit()
{

}
