// MeterCommDlg.cpp : implementation file
//
#include "stdafx.h"
#include "resource.h"
#include "MeterCommDlg.h"
#include "MechThread.h"
#include "Comm.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CMeterCommDlg dialog


CMeterCommDlg::CMeterCommDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CMeterCommDlg::IDD, pParent)
{
	
	//{{AFX_DATA_INIT(CMeterCommDlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}

void CMeterCommDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CMeterCommDlg)
		// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP
}

void CMeterCommDlg::OnOK()
{
	m_pMechThread->StopFunction();
}

void CMeterCommDlg::OnCancel()
{
	m_pMechThread->StopFunction();
}

BOOL CMeterCommDlg::OnInitDialog() 
{
	CComm * Comm;
	CString csMsg;
	int iErr;
	RECT r;

	Comm = new CComm;
	
	m_pMechThread = new CMechThread(Comm);
	m_pMechThread->m_pDlg = (CMeterCommDlg *) this;
	m_pMechThread->m_bAutoDelete = FALSE;
	m_pMechThread->CreateThread(0,0);

	CDialog::OnInitDialog();
	r.top = 20;
	r.left = 20;
	r.right = 180;
	r.bottom = 35;

	m_Progress1.Create(PBS_SMOOTH,r,(CMeterCommDlg *)this,IDC_PROGRESS1);

	m_pMechThread->StartFunction(iFunction);

	return(TRUE);
}

BOOL CMeterCommDlg::NotifySetPos(int iPos)
{
	m_Progress1.SetPos(iPos);
	return(TRUE);
}

BOOL CMeterCommDlg::NotifySetRange(int iLow, int iHigh)
{
	m_Progress1.ShowWindow(SW_SHOW);
	m_Progress1.SetRange(iLow,iHigh);
	return(TRUE);
}

BOOL CMeterCommDlg::NotifyText(CString *text)
{
	CString csLocal = *text;

	SetDlgItemText(IDC_EDIT1,csLocal);
	return(TRUE);
}

BEGIN_MESSAGE_MAP(CMeterCommDlg, CDialog)
	//{{AFX_MSG_MAP(CMeterCommDlg)
		// NOTE: the ClassWizard will add message map macros here
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CMeterCommDlg message handlers
